package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type UnitUserRouter struct {
}

// InitUnitUserRouter 初始化 UnitUser 路由信息
func (s *UnitUserRouter) InitUnitUserRouter(Router *gin.RouterGroup) {
	unitUserRouter := Router.Group("unitUser").Use(middleware.OperationRecord())
	var unitUserApi = v1.ApiGroupApp.AutoCodeApiGroup.UnitUserApi
	{
		unitUserRouter.POST("createUnitUser", unitUserApi.CreateUnitUser)   // 新建UnitUser
		unitUserRouter.DELETE("deleteUnitUser", unitUserApi.DeleteUnitUser) // 删除UnitUser
		unitUserRouter.DELETE("deleteUnitUserByIds", unitUserApi.DeleteUnitUserByIds) // 批量删除UnitUser
		unitUserRouter.PUT("updateUnitUser", unitUserApi.UpdateUnitUser)    // 更新UnitUser
		unitUserRouter.GET("findUnitUser", unitUserApi.FindUnitUser)        // 根据ID获取UnitUser
		unitUserRouter.GET("getUnitUserList", unitUserApi.GetUnitUserList)  // 获取UnitUser列表
	}
}
